=== changelog ===
python-deadparrot (0.1.4) experimental; urgency=low

  * New upstream release, with several bug fixes.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Tue, 23 Feb 2010 10:53:36 -0300

python-deadparrot (0.1.3) experimental; urgency=low

  * Little improvements release.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Tue, 14 Jul 2009 22:04:29 -0300

python-deadparrot (0.1.1) experimental; urgency=low

  * Minor bug fix release.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Sat, 20 Jun 2009 01:27:34 -0300

python-deadparrot (0.1) experimental; urgency=low

  * Initial release.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Sat, 20 Jun 2009 00:04:21 -0300
