=== rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport
DEB_PYTHON_MODULE_PACKAGE = python-deadparrot

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-deadparrot::
	make build
	cd docs && make html
	rm -rf docs/_build/html/_sources/

clean::
	rm -rf docs/_build/*
	rm -rf build
